{{- define "k8s.roleName" -}}
  {{- if .Values.k8sMonitoringPermissions.create }}
    {{- $defaultName := printf "%s-unryo-tscollect" .Release.Name }}
    {{- default $defaultName .Values.k8sMonitoringPermissions.roleName }}
  {{- else }}
    {{- default "unryo-tscollect" .Values.k8sMonitoringPermissions.roleName }}
  {{- end }}
{{- end }}

{{- define "k8s.bindingName" -}}
  {{- if .Values.k8sMonitoringPermissions.roleName }}
    {{- printf "%s-%s" .Release.Name .Values.k8sMonitoringPermissions.roleName }}
  {{- else }}
    {{- printf "%s-unryo-tscollect" .Release.Name }}
  {{- end }}
{{- end }}
